<?php
add_action( 'admin_notices', function () {
	$required_settings = [
		'dwd-wc-license-key',
		'dwd-wc-userid',
		'dwd-wc-apikey',
		'dwd-wc-email',
		'dwd-wc-firstname',
		'dwd-wc-lastname',
		'dwd-wc-street',
		'dwd-wc-housenumber',
		'dwd-wc-zipcode',
		'dwd-wc-city',
		'dwd-wc-country',
		'dwd-wc-final-state'
	];
	$missing_settings = array_filter($required_settings, function ($setting) {
		return !get_option($setting);
	});
	if (count($missing_settings) > 0) {
		?>
		<div class="notice notice-warning">
			<p>The following settings are missing in the <a href="admin.php?page=dwd-woocommerce-settings">Drukwerkdeal configuration</a>:</p>
			<ul class="list ul-disc">
				<?php foreach ( $missing_settings as $setting ): ?>
					<li>
						<strong><?php echo $setting; ?></strong>
						<?php if ($setting === "dwd-wc-license-key"): ?>
							The license key is currently free of charge but will become required in the near future.
						<?php endif; ?>
					</li>
				<?php endforeach; ?>
			</ul>
		</div>

		<?php
	}
});