<?php
add_filter( 'pre_set_site_transient_update_plugins', 'dwd_woocommerce_update', 10, 1 );
/*
 * $res empty at this step
 * $action 'plugin_information'
 * $args stdClass Object ( [slug] => woocommerce [is_ssl] => [fields] => Array ( [banners] => 1 [reviews] => 1 [downloaded] => [active_installs] => 1 ) [per_page] => 24 [locale] => en_US )
 */
function dwd_woocommerce_update( $transient ){
	$plugin_slug = "dwd-woocommerce";

	if( property_exists( $transient, 'response') && !array_key_exists("$plugin_slug/$plugin_slug", $transient->response) ) { // wp checked for updates
		// info.json is the file with the actual plugin information on your server
		$remote = wp_remote_get( 'https://dwd-woocommerce.hjts.nl/wp-content/uploads/plugin/info.json', array(
				'timeout' => 10,
				'headers' => array(
					'Accept' => 'application/json'
				) )
		);
		if ( ! is_wp_error( $remote ) && isset( $remote['response']['code'] ) && $remote['response']['code'] == 200 && ! empty( $remote['body'] ) ) {
			set_transient( 'dwd_woocommerce_update_' . $plugin_slug, $remote, 43200 ); // 12 hours cache
			$remote = json_decode( $remote['body'], true );
			$out_of_date = version_compare( $remote['version'], DWD_WOOCOMMERCE_PLUGIN_VERSION, 'gt' ); // Check if we're out of date

			if( $out_of_date ) {
				$new_files                              = $remote['download_url'];
				$plugin                                 = array( // setup our plugin info
					'url'         => $remote['plugin_url'],
					'slug'        => $plugin_slug,
					'package'     => $new_files,
					'new_version' => $remote['version']
				);
				$transient->response[ "$plugin_slug/$plugin_slug.php" ] = (object) $plugin; // Return it in response
			}
		}
	}

	return $transient; // Return filtered transient
}